package cn.com.infosec.i18n;

import java.util.Locale;
import java.util.TimeZone;

public class TextBundle extends LocalizedMessage {
   public static final String TEXT_ENTRY = "text";

   public TextBundle(String resource, String id) {
      super(resource, id);
   }

   public TextBundle(String resource, String id, String encoding) {
      super(resource, id, encoding);
   }

   public TextBundle(String resource, String id, Object[] arguments) {
      super(resource, id, arguments);
   }

   public TextBundle(String resource, String id, String encoding, Object[] arguments) {
      super(resource, id, encoding, arguments);
   }

   public String getText(Locale loc, TimeZone timezone) {
      return this.getEntry("text", loc, timezone);
   }

   public String getText(Locale loc) {
      TextBundle var10000 = this;
      TimeZone var2 = TimeZone.getDefault();
      return var10000.getEntry("text", loc, var2);
   }
}
